using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace BusinessBLL.Components
{
    public class MyComponent
    {
        public void DoMethod()
        {
            /* nop */
        }

        public void DoAuthenticatedMethod()
        {
            if (!Thread.CurrentPrincipal.Identity.IsAuthenticated)
            {
                throw new ApplicationException("認証されていません");
            }
        }
    }
}
